All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.olap
Interface TitleAreaInterface

All Superinterfaces:
  AxisAreaInterface

All Known Implementing Classes:
  TitleArea

    public interface TitleAreaInterface

extends AxisAreaInterface

Interface for specifying the attributes required for identifying a title cell in an olap tableview component.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4

Field Summary
`static int` | `UNSET`

Method Summary
`java.lang.String` | `getDimension()` Returns the name of the dimension for the title cell.
`java.lang.String` | `getHierarchy()` Returns the name of the hierarachy for the title cell.
`java.lang.String` | `getLevel()` Returns the name of the level for the title cell.
`void` | `setDimension(java.lang.String dimension)` Sets the name of the dimension for the title cell.
`void` | `setHierarchy(java.lang.String hierarachy)` Sets the name of the hierarachy for the title cell.
`void` | `setLevel(java.lang.String level)` Sets the name of the level for the title cell.

Methods inherited from interface com.sas.actionprovider.util.olap.AxisAreaInterface
`getAxisNumber, setAxisNumber`

Field Detail

### UNSET

    static final int UNSET

See Also:
  Constant Field Values

Method Detail

### setDimension

    void setDimension(java.lang.String dimension)

  Sets the name of the dimension for the title cell.

  Parameters:
    `dimension` - the name of the dimension for the title cell.

### getDimension

    java.lang.String getDimension()

  Returns the name of the dimension for the title cell.

  Parameters:
    `the` - name of the dimension for the title cell.

### setHierarchy

    void setHierarchy(java.lang.String hierarachy)

  Sets the name of the hierarachy for the title cell.

  Parameters:
    `hierarachy` - the name of hierarachy the viewer index for the title cell.

### getHierarchy

    java.lang.String getHierarchy()

  Returns the name of the hierarachy for the title cell.

  Parameters:
    `the` - name of the hierarachy for the title cell.

### setLevel

    void setLevel(java.lang.String level)

  Sets the name of the level for the title cell.

  Parameters:
    `level` - the name of the level for the title cell.

### getLevel

    java.lang.String getLevel()

  Returns the name of the level for the title cell.

  Parameters:
    `the` - name of the level for the title cell.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.